<?php 
/**
 * NOTICE OF LICENSE.
 *
 * This source module is subject to the following license: REGULAR LICENSE for one domain
 *
 * DISCLAIMER
 *
 * Not for sale.
 *
 * @author    Envía Ya S.A. de C.V
 * @copyright Envía Ya S.A. de C.V https://enviaya.com.mx
 * @license   REGULAR LICENSE
 */

 // Tested on PHP 5.2, 5.3
if (!function_exists('curl_init')) {
    throw new Exception('EnvíaYa! needs the CURL PHP extension.');
}
if (!function_exists('json_decode')) {
    throw new Exception('EnvíaYa! needs the JSON PHP extension.');
}
if (!function_exists('mb_detect_encoding')) {
    throw new Exception('EnvíaYa! needs the Multibyte String PHP extension.');
}

// Enviaya singleton
require(dirname(__FILE__) . '/Enviaya/Enviaya.php');

// Utilities
require(dirname(__FILE__) . '/Enviaya/Util.php');
require(dirname(__FILE__) . '/Enviaya/Util/Set.php');

// Errors
require(dirname(__FILE__) . '/Enviaya/Error.php');
require(dirname(__FILE__) . '/Enviaya/ApiError.php');

// Plumbing
require(dirname(__FILE__) . '/Enviaya/Object.php');
require(dirname(__FILE__) . '/Enviaya/ApiRequestor.php');
require(dirname(__FILE__) . '/Enviaya/ApiResource.php');
require(dirname(__FILE__) . '/Enviaya/CurlClient.php');
require(dirname(__FILE__) . '/Enviaya/SingletonApiResource.php');
require(dirname(__FILE__) . '/Enviaya/AttachedObject.php');
require(dirname(__FILE__) . '/Enviaya/List.php');

// Enviaya API Resources
require(dirname(__FILE__) . '/Enviaya/Account.php');
require(dirname(__FILE__) . '/Enviaya/Direction.php');
require(dirname(__FILE__) . '/Enviaya/Rate.php');
require(dirname(__FILE__) . '/Enviaya/Shipment.php');
require(dirname(__FILE__) . '/Enviaya/Track.php');

