/*
 *
 * NOTICE OF LICENSE.
 *
 * This source module is subject to the following license: REGULAR LICENSE for one domain
 *
 * DISCLAIMER
 *
 * Not for sale.
 *
 * @author    Envía Ya S.A. de C.V
 * @copyright Envía Ya S.A. de C.V https://enviaya.com.mx
 * @license   REGULAR LICENSE
 *
 */
function scrollTo(divid) {
	//$('' + divid + '').animate({
	$('html,body').animate({
		scrollTop: $('' + divid + '').offset().top - 140
	});
}
$(document).ready(function() {
	
	var form = $("#module_form");
	var eymodal = $("#enviaya-setup-modal");
	eymodal.find('form').attr('action', form.attr('action'));

	var live_api_key = form.find('#ENVIAYA_LIVE_API_KEY').val();
	var test_api_key = form.find('#ENVIAYA_TEST_API_KEY').val();
	
	if(live_api_key=="" || test_api_key==""){

		form = $("#enviaya-setup-modal");
		$('#enviaya-setup-modal').modal('show')
	}else{
		$('#enviaya-setup-modal').remove();
	}

	form.find('#ENVIAYA_ACCOUNT_SELECT option').each(function(index, el){
		var account = JSON.parse($(el).val());
		
		if(account.id == form.find('#ENVIAYA_ACCOUNT_ID').val()){

			$(el).prop('selected',true)		
		}
	})

	form.find('#ENVIAYA_SENDER_ADDRESS option').each(function(index, el){
		var direction = JSON.parse($(el).val());
		
		if(direction.id == form.find('#ENVIAYA_SENDER_ADDRESS_ID').val()){
			$(el).prop('selected',true)
			fillSenderAddress(direction)
		}
	})

	form.find('#ENVIAYA_LIVE_API_KEY,#ENVIAYA_TEST_API_KEY').on('blur',function(){

		getBillingAccounts();
		getOriginsDirections();
	})


	form.find('#ENVIAYA_SENDER_ADDRESS').on('change',function(){
		
		var direction = form.find('#ENVIAYA_SENDER_ADDRESS option:selected').val();

		fillSenderAddress(JSON.parse(direction))

	})

	form.find('#ENVIAYA_ACCOUNT_SELECT').on('change',function(){
		
		var account = JSON.parse(form.find('#ENVIAYA_ACCOUNT_SELECT option:selected').val());
		form.find('#ENVIAYA_ACCOUNT_ID').val(account.id);
		form.find('#ENVIAYA_ACCOUNT').val(account.account);

	})

	form.find('#ENVIAYA_ENABLE_CONTINGENCY_SHIPPING').on('change',function(){

		var contingency_shipping = (form.find('#ENVIAYA_ENABLE_CONTINGENCY_SHIPPING').val() == "1") ? true : false;
		
		if(contingency_shipping){

		}else{
			
			form.find('#ENVIAYA_ENABLE_STANDARD_FLAT_RATE_on').prop('checked',false)
			form.find('#ENVIAYA_ENABLE_STANDARD_FLAT_RATE_off').prop('checked',true)
			form.find('[name=ENVIAYA_ENABLE_STANDARD_FLAT_RATE]').trigger('change')

			form.find('#ENVIAYA_ENABLE_EXPRESS_FLAT_RATE_on').prop('checked',false)
			form.find('#ENVIAYA_ENABLE_EXPRESS_FLAT_RATE_off').prop('checked',true)
			form.find('[name=ENVIAYA_ENABLE_EXPRESS_FLAT_RATE]').trigger('change')
		}

	})

	form.find('[name=ENVIAYA_ENABLE_STANDARD_FLAT_RATE]').on('change',function(){
		var standard_flat_rate = (form.find('[name=ENVIAYA_ENABLE_STANDARD_FLAT_RATE]:checked').val() == "1") ? true : false;

		if(standard_flat_rate){

			form.find('#ENVIAYA_ENABLE_CONTINGENCY_SHIPPING').val("1")
			form.find('#ENVIAYA_STANDARD_FLAT_RATE_TITLE').attr('readonly',false)
			form.find('#ENVIAYA_STANDARD_FLAT_RATE').attr('readonly',false)

		}else{
			form.find('#ENVIAYA_STANDARD_FLAT_RATE_TITLE').attr('readonly',true)
			form.find('#ENVIAYA_STANDARD_FLAT_RATE').attr('readonly',true)
		}
	})

	form.find('[name=ENVIAYA_ENABLE_EXPRESS_FLAT_RATE]').on('change',function(){
		var express_flat_rate = (form.find('[name=ENVIAYA_ENABLE_EXPRESS_FLAT_RATE]:checked').val() == "1") ? true : false;

		if(express_flat_rate){

			form.find('#ENVIAYA_ENABLE_CONTINGENCY_SHIPPING').val("1")
			form.find('#ENVIAYA_EXPRESS_FLAT_RATE_TITLE').attr('readonly',false)
			form.find('#ENVIAYA_EXPRESS_FLAT_RATE').attr('readonly',false)

		}else{
			form.find('#ENVIAYA_EXPRESS_FLAT_RATE_TITLE').attr('readonly',true)
			form.find('#ENVIAYA_EXPRESS_FLAT_RATE').attr('readonly',true)
		}
	})

	form.find('[name*=ENVIAYA_EXCLUDED_ZONE_REGIONS]').select2({})

	eymodal.find('#ey-setup-finish').on('click',function(){

		eymodal.find('#btnSubmitModal').click();
	})
	eymodal.find('#ey-setup-back').on('click',function(){

		var current_fs = eymodal.find('#progressbar li.active')
		var prev_fs = current_fs.prev()

		eymodal.find('#ey-setup-finish').hide();	
		eymodal.find('#ey-setup-next').show();
		current_fs.removeClass('active');
		eymodal.find('fieldset').eq(current_fs.index()).hide()
		prev_fs.addClass('active');
		eymodal.find('fieldset').eq(prev_fs.index()).show()

		if(prev_fs.attr('id') == 'access'){
			eymodal.find('#ey-setup-back').hide();
		}

	})

	eymodal.find('#ey-setup-next').on('click',function(){

		var current_fs = eymodal.find('#progressbar li.active')
		var next_fs = current_fs.next()

		eymodal.find('#enviaya-config-error').hide();
		eymodal.find('#enviaya-config-error').empty();
		eymodal.find('fieldset').eq(current_fs.index()).find('.form-group').removeClass('has-error')
		var valid = true;

		eymodal.find('fieldset').eq(current_fs.index()).find('input:visible, select:visible').each(function( index, element ) {
			
			if($(element).val() == ""){
				valid = false;
				$(element).closest('.form-group').addClass('has-error')
			}
		})
	
		if(valid){
			
			eymodal.find('#ey-setup-back').show();
			current_fs.removeClass('active');
			eymodal.find('fieldset').eq(current_fs.index()).hide()
			next_fs.addClass('active');
			eymodal.find('fieldset').eq(next_fs.index()).show()

			if(next_fs.attr('id') == 'confirm'){
				eymodal.find('#ey-setup-next').hide();
				eymodal.find('#ey-setup-finish').show();	
			}

		}
		
	})

	function getOriginsDirections() {
	
		var live_api_key = form.find('#ENVIAYA_LIVE_API_KEY').val();
		var test_api_key = form.find('#ENVIAYA_TEST_API_KEY').val();
		var test_mode = form.find('[name=ENVIAYA_TEST_MODE]:checked').val();

		if (live_api_key != "" && test_api_key != "") {

			var api_key = test_mode == "1" ? test_api_key : live_api_key;
			
			var data = {
				ajax: true,
				action: 'GetOriginsDirections',
				api_key: api_key,
			};

			$.ajax({
				url: ajax_url_module,
				data: data,
				method: 'POST',
				dataType:'json',
				success: function (res) {
					
					form.find('#ENVIAYA_SENDER_ADDRESS option').remove();
					
					res.directions.forEach(function(value,index){
						
						var $option = $('<option>')
						
						$option.val(JSON.stringify(value))
						$option.text(value.full_name)

						form.find('#ENVIAYA_SENDER_ADDRESS').append($option)

						if(index==0){
							fillSenderAddress(value)
						}
						
					})
					
				}
			});

		}

	}

	function getBillingAccounts() {

		var live_api_key = form.find('#ENVIAYA_LIVE_API_KEY').val();
		var test_api_key = form.find('#ENVIAYA_TEST_API_KEY').val();
		var test_mode = $('[name=ENVIAYA_TEST_MODE]:checked').val();

		if (live_api_key != "" && test_api_key != "") {

			var api_key = test_mode == "1" ? test_api_key : live_api_key;
			
			var data = {
				ajax: true,
				action: 'GetBillingAccounts',
				api_key: api_key,
			};

			form.find('#loader-spin').show();

			$.ajax({
				url: ajax_url_module,
				data: data,
				method: 'POST',
				dataType:'json',
				beforeSend: function() {
					
					form.find('#enviaya-config-error').hide();
					form.find('#enviaya-config-error').empty();
				},
				success: function (res) {
					
					form.find('#ENVIAYA_API_VALIDATION').val("1")
					form.find('#ENVIAYA_ACCOUNT_SELECT option').remove();

					res.enviaya_accounts.forEach(function(value){
						
						var $option = $('<option>')
						$option.val(JSON.stringify(value))
						$option.text(`${value.alias} ( ${value.account} )`)
						form.find('#ENVIAYA_ACCOUNT_SELECT').append($option)
					})

					if(res.enviaya_accounts.length > 0){
						form.find('#ENVIAYA_ACCOUNT_ID').val(res.enviaya_accounts[0].id);
						form.find('#ENVIAYA_ACCOUNT').val(res.enviaya_accounts[0].account);
					}

					form.find('#loader-spin').hide();
					
				},
				error: function(req, status, error) { // error callback
					
					if(typeof req.responseJSON == 'object'){
						form.find('#enviaya-config-error').append('<p>'+req.responseJSON.errors+'</p>')
						form.find('#enviaya-config-error').show();
					}else if(typeof req.responseJSON == 'string'){
						response = JSON.parse(req.responseJSON )
						if(typeof response == 'object'){
							form.find('#enviaya-config-error').append('<p>'+response.errors+'</p>')
							form.find('#enviaya-config-error').show();
						}
					}
					
					
					form.find('#loader-spin').hide();
				}
			});

		}

	}
	
	function fillSenderAddress(direction){

		form.find('#ENVIAYA_SENDER_CONTACT_INFORMATION').val("");
		form.find('#ENVIAYA_SENDER_SHIPPING_ADDRESS').val("");
		
		var txt = (direction.company!=null) ? `${direction.full_name} ( ${direction.company} )` :direction.full_name;
		
		txt+='\n'+direction.phone

		if(direction.email != null){
			txt+='\n'+direction.email;
		}

		txt = txt.toUpperCase() 
		form.find('#ENVIAYA_SENDER_CONTACT_INFORMATION').val(txt)

		txt=direction.direction_1;

		if(direction.direction_2 != null){
			txt+='\n'+direction.direction_2;
		}

		txt+='\n'+direction.neighborhood+'\n'+`CP. ${direction.postal_code}, ${direction.city}, ${direction.state_code}`+'\n'+direction.country_code;
		txt = txt.toUpperCase() 

		form.find('#ENVIAYA_SENDER_SHIPPING_ADDRESS').val(txt)

		form.find('#ENVIAYA_SENDER_ADDRESS_ID').val(direction.id);
		form.find('#ENVIAYA_SENDER_ADDRESS_FULL_NAME').val(direction.full_name);
		form.find('#ENVIAYA_SENDER_ADDRESS_COMPANY').val(direction.company);
		form.find('#ENVIAYA_SENDER_ADDRESS_PHONE').val(direction.phone);
		form.find('#ENVIAYA_SENDER_ADDRESS_EMAIL').val(direction.email);
		form.find('#ENVIAYA_SENDER_ADDRESS_DIRECTION_1').val(direction.direction_1);
		form.find('#ENVIAYA_SENDER_ADDRESS_DIRECTION_2').val(direction.direction_2);
		form.find('#ENVIAYA_SENDER_ADDRESS_NEIGHBORHOOD').val(direction.neighborhood);
		form.find('#ENVIAYA_SENDER_ADDRESS_POSTAL_CODE').val(direction.postal_code);
		form.find('#ENVIAYA_SENDER_ADDRESS_CITY').val(direction.city);
		form.find('#ENVIAYA_SENDER_ADDRESS_STATE').val(direction.state);
		form.find('#ENVIAYA_SENDER_ADDRESS_STATE_CODE').val(direction.state_code);
		form.find('#ENVIAYA_SENDER_ADDRESS_COUNTRY_CODE').val(direction.country_code);
		form.find('#ENVIAYA_SENDER_ADDRESS_COUNTRY').val(direction.country);
		
	}

	$(document).on('click', '#EnviayaShipment', {}, function(event) {

		var rate_id = $('#enviaya_service_selection').val();
		if (rate_id < 1) {
			console.log('rate_id not found');
			return false;
		}

		var order_id = $('#EnviayaShipment').data('id');
		if (order_id < 1) {
			console.log('id_order not found');
			return false;
		}

		var data = {
			ajax: true,
			action: 'CreateShipment',
			order_id: order_id,
			rate_id: rate_id,
		};
		// before ajax
		$('#loader-spin').show();
	
		$.ajax({
			url: ajax_url_module,
			data: data,
			method: 'post',
			dataType:'json',
			beforeSend: function() {
				$('#enviaya-order-details-errors').empty();
				$('#EnviayaShipment').prop('disabled', true);
				setTimeout(function() {
					$('#EnviayaShipment').prop('disabled', false);
				}, 8000);
			},
			success: function() {
				console.log('order enviaya  ajax success');
	
				location.reload();

			},
			error: function(req, status, error) {
				$('#enviaya-order-details-errors').append('<div class="alert alert-warning"><p>Enviaya Order was unsuccesfull:' + req.responseText + '</p></div>');
			}
		});
		event.preventDefault();
		return false;
	});

	$(document).on('click', '#EnviayaRating', {}, function(event) {

		var order_id = $('#EnviayaRating').data('id');
		if (order_id < 1) {
			console.log('id_order not found');
			return false;
		}
		
		var data = {
			ajax: true,
			action: 'GetRates',
			order_id: order_id,
		};
		// before ajax
		$('#loader-spin').show();
	
		$.ajax({
			url: ajax_url_module,
			data: data,
			method: 'post',
			dataType:'json',
			beforeSend: function() {
				$('#enviaya-order-details-errors').hide();
				$('#enviaya-order-details-errors').empty();
				$('#EnviayaShipment').prop('disabled', true);
				setTimeout(function() {
					$('#EnviayaRating').prop('disabled', false);
				}, 8000);
			},
			success: function(req) {
				location.reload();

			},
			error: function(req) { 
				
				if(typeof req.responseJSON.errors == 'object'){

					$msj = $('<div>');
					var errors = req.responseJSON.errors
					
					for (const type in errors) {
						console.log(errors[type])	
						if( Array.isArray(errors[type]) ){

							$msj.append('<p><b>'+type+':</b></p>')
							$list = $('<ul>');
							$list.attr('id','enviaya-'+type+'-errors')
	
							errors[type].forEach(function(val2, index2){
								$list.append('<li>'+val2+'</li>')
							})

							$msj.append($list)

						}
					}

					$('#enviaya-order-details-errors').append($msj)

				}else{
					$('#enviaya-order-details-errors').append('<p>'+req.responseText+'</p>')		
				}
				
				$('#enviaya-order-details-errors').show();
				$('#loader-spin').hide();
			}
		});
		event.preventDefault();
		return false;
	});

	$(document).on('click', '#EnviayaTracking', {}, function(event) {
		
		var shipment_number = $('#EnviayaTracking').data('shipment-number');
		var order_id = $('#EnviayaTracking').data('id');
		
		var data = {
			ajax: true,
			action: 'GetTracking',
			shipment_number: shipment_number,
			order_id: order_id,
		};
		// before ajax
		$('#loader-spin').show();
	
		$.ajax({
			url: ajax_url_module,
			data: data,
			method: 'post',
			dataType:'json',
			beforeSend: function() {
				$('#enviaya-order-details-errors').hide();
				$('#enviaya-order-details-errors').empty();
				$('#EnviayaShipment').prop('disabled', true);
				setTimeout(function() {
					$('#EnviayaRating').prop('disabled', false);
				}, 8000);
			},
			success: function(req) {
				
			
				if(typeof req == 'object'){

					
					$('#ey-shipment-status').text(req.tracking.shipment_status)
					$('#ey-track-last-update').text(req.last_update)
				}

			},
			error: function(req) { 
				
				if(typeof req.responseJSON.errors == 'object'){

					$msj = $('<div>');
					var errors = req.responseJSON.errors
					
					for (const type in errors) {
				
						if( Array.isArray(errors[type]) ){

							$msj.append('<p><b>'+type+':</b></p>')
							$list = $('<ul>');
							$list.attr('id','enviaya-'+type+'-errors')
	
							errors[type].forEach(function(val2, index2){
								$list.append('<li>'+val2+'</li>')
							})

							$msj.append($list)

						}
					}

					$('#enviaya-order-details-errors').append($msj)

				}else{
					$('#enviaya-order-details-errors').append('<p>'+req.responseText+'</p>')		
				}
				
				$('#enviaya-order-details-errors').show();
				$('#loader-spin').hide();
			}
		});
		event.preventDefault();
		return false;
	});

	$(document).on('change','#enviaya_service_selection',{}, function(event){
		var rate_id = $('#enviaya_service_selection').val();
		$('.enviaya-rate-details').hide();
		$('.enviaya-rate-details[data-rate-id='+rate_id+']').show();
	})

});
document.addEventListener('DOMContentLoaded', function(e) {});
