{*
*
*
 * NOTICE OF LICENSE.
 *
 * This source module is subject to the following license: REGULAR LICENSE for one domain
 *
 * DISCLAIMER
 *
 * Not for sale.
 *
 * @author    Envía Ya S.A. de C.V
 * @copyright Envía Ya S.A. de C.V https://enviaya.com.mx
 * @license   REGULAR LICENSE
*
*}
{extends file="helpers/form/form.tpl"}

{block name="script"}
	$(document).ready(function () {
		
		
		
		$('#ENVIAYA_DISPLAY_CARRIER_LOGO').on('change',function(){
			if($(this).val() == "1"){
				$('#enviaya_display_carrier_logo').show();
			}else{
				$('#enviaya_display_carrier_logo').hide();
			}
		})

		$('#ENVIAYA_DISPLAY_CARRIER_LOGO').trigger('change');

		$('#ENVIAYA_SHIPPING_CARRIER_NAME').on('change',function(){
			if($(this).val() == "1"){
				$('#enviaya_shipping_carrier_name').show();
			}else{
				$('#enviaya_shipping_carrier_name').hide();
			}
		})

		$('#ENVIAYA_SHIPPING_CARRIER_NAME').trigger('change');

		$('#ENVIAYA_SHIPPING_SERVICE_NAME').on('change',function(){

			$('[id*=enviaya_shipping_service_name_]').hide();
			$('#enviaya_shipping_service_name_'+$(this).val()).show();
		})

		$('#ENVIAYA_SHIPPING_SERVICE_NAME').trigger('change');


		$('#ENVIAYA_SHIPPING_DELIVERY_TIME').on('change',function(){

			$('[id*=enviaya_shipping_delivery_time_]').hide();
			$('#enviaya_shipping_delivery_time_'+$(this).val()).css('display','flex');
		})

		$('#ENVIAYA_SHIPPING_DELIVERY_TIME').trigger('change');

	})
{/block}


{block name="label"}
	
	{if $input.name == 'shipping_services_display_title'}
		<div class="ey-panel-subheading">
		{l s='shipping_services_display' mod='enviayacarrier'}
		</div>
	{elseif $input.name == 'free_shipping_title' }
		<div class="ey-line-separator">
		</div>
		<div class="ey-panel-subheading">
		{html_entity_decode({l s='free_shipping' mod='enviayacarrier'})}
		</div>
		<p class="help-block ey-panel-subheading-text">{$input.hint}</p>
	{elseif $input.name == 'contingency_shipping_title' }
		<div class="ey-line-separator">
		</div>
		<div class="ey-panel-subheading">
		{html_entity_decode({l s='contingency_shipping_services' mod='enviayacarrier'})}
		</div>
		<p class="help-block ey-panel-subheading-text">{$input.hint}</p>
	{elseif $input.name == 'additional_account_configurations_title' }
		<div class="ey-line-separator">
		</div>
		<div class="ey-panel-subheading">
		{html_entity_decode({l s='additional_account_configurations_title' mod='enviayacarrier'})}
		</div>
		<p class="help-block ey-panel-subheading-text">{$input.hint}</p>
	{elseif $input.name == 'carrier_and_services_configuration_title' }
		<div class="ey-line-separator">
		</div>
		<div class="ey-panel-subheading">
		{html_entity_decode({l s='carrier_and_services_configuration' mod='enviayacarrier'})}
		</div>
		<p class="help-block ey-panel-subheading-text">{$input.hint}</p>
	{elseif $input.name == 'subsidies_title' }
		<div class="ey-line-separator">
		</div>
		<div class="ey-panel-subheading">
		{html_entity_decode({l s='subsidies_title' mod='enviayacarrier'})}
		</div>
		<p class="help-block ey-panel-subheading-text">{$input.hint[0]}</p>
		<p class="help-block ey-panel-subheading-text"><a href="https://enviaya.com.mx/shipping/subsidy_amounts" target="_blank">{$input.hint[1]}</a></p>
	{elseif $input.name == 'excluded_zones_title' }
		<div class="ey-panel-subheading">
		{html_entity_decode({l s='excluded_zones' mod='enviayacarrier'})}
		</div>
		<p class="help-block ey-panel-subheading-text">{$input.hint}</p>
	{elseif $input.name == 'status_title' }

		<div class="alert alert-warning"><p>{l s='phone_mandatory' mod='enviayacarrier'} <a href="http://doc.prestashop.com/display/PS17/Customer+addresses" target="_blank">{l s='see_ps_docs' mod='enviayacarrier'}</a>.</p></div>

		{if $input.valie['result'] }
		 	<div class="alert alert-success"><p>{l s='plugin_check_yes' mod='enviayacarrier' }</p></div>
		{else}
			<div class="alert alert-danger">
				<p>{l s='plugin_check_no' mod='enviayacarrier' }</p>
				<ul style="margin-top: 10px;">
					{foreach key=key item=item from=$input.valie}
						{if $key != 'result' and $key != 'phone'}
							{if $item.result == 0}
								<li>{$item.name|escape:'htmlall':'UTF-8'}</li>
							{/if}
						{/if}
					{/foreach}
				</ul>
			</div>
		{/if}
	{else}




		{$smarty.block.parent}
	{/if}
{/block}

{block name="input"}
	
	
	
	{if $input.name == 'ENVIAYA_DISPLAY_CARRIER_LOGO'}
		{$smarty.block.parent}


		<div id="enviaya-shipping-design-example">
			<p class="title">{l s='shipping_services_design_example' mod='enviayacarrier'}</p>
			<div class="row" id="rate-design-example">
				<div id="enviaya_display_carrier_logo">
					<img src="https://enviaya-public.s3-us-west-1.amazonaws.com/carriers/estafeta/estafeta.png" alt="Estafeta" >
				</div>
				<div id="enviaya_shipping_carrier_name">
					<p id="carrier-name">Estafeta</p>
				</div>
				<div id="enviaya_shipping_service_name">
					
					<p id="enviaya_shipping_service_name_1">{l s='dynamic_service_name_ex_1' mod='enviayacarrier'}</p>
					<p id="enviaya_shipping_service_name_3">{l s='carrier_service_name_ex_1' mod='enviayacarrier'}</p>
					
				</div>
				<div id="enviaya_shipping_delivery_time">

					<p id="enviaya_shipping_delivery_time_1">
						<svg style="width:17px;height:17px" viewBox="0 0 24 24"><path fill="currentColor" d="M19,19H5V8H19M16,1V3H8V1H6V3H5C3.89,3 3,3.89 3,5V19A2,2 0 0,0 5,21H19A2,2 0 0,0 21,19V5C21,3.89 20.1,3 19,3H18V1M17,12H12V17H17V12Z" /></svg>	
						<span style="margin-left:5px">{date("d/m/Y", strtotime('tomorrow'))}</span>
					</p>
					<p id="enviaya_shipping_delivery_time_2">
						<svg style="width:17px;height:17px" xmlns="http://www.w3.org/2000/svg"  viewBox="0 0 24 24" style=" fill:#000000;"><path d="M 12 2 C 6.4889971 2 2 6.4889971 2 12 C 2 17.511003 6.4889971 22 12 22 C 17.511003 22 22 17.511003 22 12 C 22 6.4889971 17.511003 2 12 2 z M 12 4 C 16.430123 4 20 7.5698774 20 12 C 20 16.430123 16.430123 20 12 20 C 7.5698774 20 4 16.430123 4 12 C 4 7.5698774 7.5698774 4 12 4 z M 11 6 L 11 12.414062 L 15.292969 16.707031 L 16.707031 15.292969 L 13 11.585938 L 13 6 L 11 6 z"></path></svg>
						<span style="margin-left:5px">1{l s="day" mod='enviayacarrier'}</span>
					</p>
				</div>
				
			</div>
		</div>
	
	{elseif $input.name == 'ENVIAYA_EXCLUDED_ZONE_POSTCODES'}
		<textarea placeholder="{l s='zone_regions_list_placeholder' mod='enviayacarrier' }" name="ENVIAYA_EXCLUDED_ZONE_POSTCODES" id="ENVIAYA_EXCLUDED_ZONE_POSTCODES" rows="6" class="textarea-autosize">{$input.value}</textarea>
	{elseif $input.name == 'ENVIAYA_DOMAIN'}
		<label class="control-label">{$base_url}</label>
	{elseif $input.name == 'ENVIAYA_PHP_VERSION'}
		<label class="control-label">{phpversion()}</label>
	{elseif $input.name == 'ENVIAYA_PS_VERSION'}
		<label class="control-label">{_PS_VERSION_}	</label> 
	{elseif $input.name == 'ENVIAYA_CURL'}
		<label class="control-label">{$input.value}</label>	
	{else}

		
		{$smarty.block.parent}
	{/if}


	
{/block}

{block name="after"}

{assign var=filters_title value=": "|explode:{l s='welcome_screen_4_title' mod='enviayacarrier'}}
{assign var=welcome_screen_1_text value={l s='welcome_screen_1_text' mod='enviayacarrier'}|html_entity_decode}
{assign var=billing_account_help value={l s='billing_account_help' mod='enviayacarrier'}|html_entity_decode}
{assign var=welcome_screen_3_text value={l s='welcome_screen_3_text' mod='enviayacarrier'}|html_entity_decode}
{assign var=welcome_screen_4_text value={l s='welcome_screen_4_text' mod='enviayacarrier'}|html_entity_decode}






<div id="enviaya-setup-modal" class="modal fade bd-example-modal-lg" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
		<div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
	  	<ul id="progressbar">
			<li class="active" id="access"><strong>{l s='access_configuration' mod='enviayacarrier'}</strong></li>
			<li id="billing"><strong>{l s='account' mod='enviayacarrier'}</strong></li>
			<li id="sender"><strong>{l s='sender_address' mod='enviayacarrier'}</strong></li>
			<li id="filters"><strong>{$filters_title[1]}</strong></li>
			<li id="confirm"><strong>{l s='finish' mod='enviayacarrier'}</strong></li>
		</ul>
		<div class="alert alert-danger" id="enviaya-config-error" style="display:none">
      
        </div>
		<form method="post" action="">
		<fieldset>
			<div class="form-card row">
				<div class="col-lg-6 col-lg-offset-3">
					<p><strong>{l s='welcome_screen_1_title' mod='enviayacarrier'}</strong></p>
					<p class="help-block">{$welcome_screen_1_text|replace:'</br>':''|replace:'</a>':'.</a></br>'}</p>
					
					<div class="form-group">
						<label class="control-label col-lg-12 required">{l s='api_key' mod='enviayacarrier'}</label>
						<div class="col-lg-12">
							<input type="text" name="ENVIAYA_LIVE_API_KEY" id="ENVIAYA_LIVE_API_KEY" value="" class="form-control" autocomplete="off" required="required">
	
						</div>
					</div>
					<div class="form-group">
						<label class="control-label col-lg-12 required">{l s='test_api_key' mod='enviayacarrier'}</label>
						<div class="col-lg-12">
							<input type="text" name="ENVIAYA_TEST_API_KEY" id="ENVIAYA_TEST_API_KEY" value="" class="form-control" autocomplete="off" required="required">
	
						</div>
					</div>
	
				</div>
				
			</div> 
			
		</fieldset>

		<fieldset>
			<div class="form-card row">
				<div class="col-lg-6 col-lg-offset-3">
					<p class="help-block">{$billing_account_help|replace:'/shipping/enviaya_accounts':'/accounts'}</p>
					<div class="form-group">
						<label class="control-label col-lg-12 required">{l s='account' mod='enviayacarrier'}</label>
						<div class="col-lg-12">
							<input type="hidden" name="ENVIAYA_ACCOUNT" id="ENVIAYA_ACCOUNT">
							<input type="hidden" name="ENVIAYA_ACCOUNT_ID" id="ENVIAYA_ACCOUNT_ID">
							<select name="ENVIAYA_ACCOUNT_SELECT"  id="ENVIAYA_ACCOUNT_SELECT">
							</select>
	
						</div>
					</div>
				</div>
				
			</div> 
			
		</fieldset>

		<fieldset>
			<div class="form-card row">
				<div class="col-lg-6 col-lg-offset-3">
					<p class="help-block">{$welcome_screen_3_text|replace:'</br>':''|replace:'</a>':'.</a></br>'}</p>
					<div class="form-group">
						<label class="control-label col-lg-12 required">{l s='sender_address' mod='enviayacarrier'}</label>
						<div class="col-lg-12">
							<select name="ENVIAYA_SENDER_ADDRESS"  id="ENVIAYA_SENDER_ADDRESS">
							</select>
						</div>
					</div>
					<div class="form-group">
						<label class="control-label col-lg-12">
						<strong>Contact information</strong>
						</label>
						<div class="col-lg-12">
							<textarea readonly="readonly" name="ENVIAYA_SENDER_CONTACT_INFORMATION" id="ENVIAYA_SENDER_CONTACT_INFORMATION" rows="3" class="textarea-autosize" style="overflow: hidden; overflow-wrap: break-word; resize: none; height: 67px;"></textarea>
						</div>
					</div>
					<div class="form-group">
						<label class="control-label col-lg-12">
							<strong>Shipping Address</strong>
						</label>
						<div class="col-lg-12">
							<textarea readonly="readonly" name="ENVIAYA_SENDER_SHIPPING_ADDRESS" id="ENVIAYA_SENDER_SHIPPING_ADDRESS"
								rows="5" class="textarea-autosize"
								style="overflow: hidden; overflow-wrap: break-word; resize: none; height: 101px;"></textarea>
						</div>
					</div>
					<div class="form-group hide">
						<input type="hidden" name="ENVIAYA_SENDER_ADDRESS_ID" id="ENVIAYA_SENDER_ADDRESS_ID" value="">
					</div>
					<div class="form-group hide">
						<input type="hidden" name="ENVIAYA_SENDER_ADDRESS_FULL_NAME" id="ENVIAYA_SENDER_ADDRESS_FULL_NAME" value="">
					</div>
					<div class="form-group hide">
						<input type="hidden" name="ENVIAYA_SENDER_ADDRESS_COMPANY" id="ENVIAYA_SENDER_ADDRESS_COMPANY" value="">
					</div>
					<div class="form-group hide">
						<input type="hidden" name="ENVIAYA_SENDER_ADDRESS_PHONE" id="ENVIAYA_SENDER_ADDRESS_PHONE" value="">
					</div>
					<div class="form-group hide">
						<input type="hidden" name="ENVIAYA_SENDER_ADDRESS_EMAIL" id="ENVIAYA_SENDER_ADDRESS_EMAIL" value="">
					</div>
					<div class="form-group hide">
						<input type="hidden" name="ENVIAYA_SENDER_ADDRESS_DIRECTION_1" id="ENVIAYA_SENDER_ADDRESS_DIRECTION_1" value="">
					</div>
					<div class="form-group hide">
						<input type="hidden" name="ENVIAYA_SENDER_ADDRESS_DIRECTION_2" id="ENVIAYA_SENDER_ADDRESS_DIRECTION_2" value="">
					</div>
					<div class="form-group hide">
						<input type="hidden" name="ENVIAYA_SENDER_ADDRESS_NEIGHBORHOOD" id="ENVIAYA_SENDER_ADDRESS_NEIGHBORHOOD"
							value="">
					</div>
					<div class="form-group hide">
						<input type="hidden" name="ENVIAYA_SENDER_ADDRESS_POSTAL_CODE" id="ENVIAYA_SENDER_ADDRESS_POSTAL_CODE" value="">
					</div>
					<div class="form-group hide">
						<input type="hidden" name="ENVIAYA_SENDER_ADDRESS_CITY" id="ENVIAYA_SENDER_ADDRESS_CITY" value="">
					</div>
					<div class="form-group hide">
						<input type="hidden" name="ENVIAYA_SENDER_ADDRESS_STATE" id="ENVIAYA_SENDER_ADDRESS_STATE" value="">
					</div>
					<div class="form-group hide">
						<input type="hidden" name="ENVIAYA_SENDER_ADDRESS_STATE_CODE" id="ENVIAYA_SENDER_ADDRESS_STATE_CODE" value="">
					</div>
					<div class="form-group hide">
						<input type="hidden" name="ENVIAYA_SENDER_ADDRESS_COUNTRY" id="ENVIAYA_SENDER_ADDRESS_COUNTRY" value="">
					</div>
					<div class="form-group hide">
						<input type="hidden" name="ENVIAYA_SENDER_ADDRESS_COUNTRY_CODE" id="ENVIAYA_SENDER_ADDRESS_COUNTRY_CODE"
							value="">
					</div>
					
				</div>
				
			</div> 
			
		</fieldset>
		
		<fieldset>
			<div class="form-card row">
				<div class="col-lg-6 col-lg-offset-3">
					<p class="help-block">{$welcome_screen_4_text|replace:'</br>':''|replace:'<a':'</br><a'}</p>

				</div>
				
			</div> 
			
		</fieldset>

		<fieldset>
			<div class="form-card row">
				<div class="col-lg-6 col-lg-offset-3">
					<p class="help-block"><strong>{l s='welcome_screen_5_title' mod='enviayacarrier'}</strong></p>
					<p class="help-block">{l s='welcome_screen_5_text' mod='enviayacarrier'}</p>
					<div class="form-group hide">
						<input style="display:none" type="submit" name="btnSubmitModal" id="btnSubmitModal" >
						
					</div>

				</div>
				
			</div> 
			
		</fieldset>
		</form>

		

		
		

      </div>
      <div class="modal-footer">
        <!--<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>-->
		<button style="display:none; text-transform:uppercase"id="ey-setup-back" type="button" class="btn btn-warning">{l s='back' mod='enviayacarrier'}</button>
        <button style="text-transform:uppercase" id="ey-setup-next" type="button" class="btn btn-primary">{l s='continue' mod='enviayacarrier'}</button>

		<button style="display:none; text-transform:uppercase" id="ey-setup-finish" type="button" class="btn btn-success">{l s='finish' mod='enviayacarrier'}</button>
      </div>
	</div>
	<div class="" id="loader-spin"></div>
  </div>
</div>
{/block}