{*
 * NOTICE OF LICENSE.
 *
 * NOTICE OF LICENSE.
 *
 * This source module is subject to the following license: REGULAR LICENSE for one domain
 *
 * DISCLAIMER
 *
 * Not for sale.
 *
 * @author    Envía Ya S.A. de C.V
 * @copyright Envía Ya S.A. de C.V https://enviaya.com.mx
 * @license   REGULAR LICENSE
*}

<div class="row enviaya-admin-orders">
  <div class="col-lg-12">
    <div class="panel">
      <div class="panel-heading" style="display:flex;justify-content: space-between;">
        <img class="enviaya-admin-orders-logo" src="https://cdn.enviaya.com.mx/wp-content/uploads/enviaya-logo.svg">
      </div>

      {if ( isset($booking['status_message']) ) }
          <div class="alert alert-success">
            <p>
              {$booking['status_message']}
            </p>
          </div>
        {/if}



        {if isset($warnings) && !empty($warnings)}
          <div class="alert alert-warning" id="enviaya-order-details-warnings">
            {foreach from=$warnings item=warning name=warning}
              <p> {$warning} </p>
            {/foreach}
          </div>
        {/if}

        {if isset($errors) && !empty($errors)}
          <div class="alert alert-danger" id="enviaya-order-details-errors">
            {foreach from=$errors item=error name=error}
              <p> {$error} </p>
            {/foreach}
          </div>
        {/if}
  
      {if isset($booking.id)}
      
        <div class="row">
        <div class="col-sm-6">
          <p><b>{l s='details' mod='enviayacarrier'}</b></p>
          <table class="table">
          
          <tbody>
            <tr>
              <td><b>{l s='global_settings_carrier_field' mod='enviayacarrier'}</b></td>
              <td><img class="enviaya-admin-orders-carrier-logo" src="{$booking->rate->carrier_logo_url}"></td>
            </tr>
            <tr>
              <td><b>{l s='service_name' mod='enviayacarrier'}</b></td>
              <td>{$booking->rate->carrier_service_name}</td>
            </tr>
            <tr>
              <td><b>{l s='shipment_status' mod='enviayacarrier'}</b></td>
              <td>

                <span id="ey-shipment-status" class="badge badge-info">{$tracking['shipment_status']}</span><br>
                <span style="font-size:10px">{l s='last_update' mod='enviayacarrier'}: <span id="ey-track-last-update">{$last_update}</span> <a id="EnviayaTracking" data-id="{$order_id}" data-shipment-number="{$booking->enviaya_shipment_number}" href="javascript:;"><i style="font-size:18px"  class="material-icons mi-refresh">refresh</i></a></span>
               
              </td>
            </tr>
            <tr>
              <td><b>{l s='tracking_no' mod='enviayacarrier'}</b></td>
              <td><a target="_blank" href="https://enviaya.com.mx/shipping/shipments/{$booking->id}/show_details">{$booking->carrier_shipment_number}</td>
            </tr>
            <tr>
              <td><b>{l s='shipment_number' mod='enviayacarrier'}</b></td>
              <td><a target="_blank" href="https://enviaya.com.mx/shipping/shipments/{$booking->id}/show_details">{$booking->enviaya_shipment_number}</td>
            </tr>
            
            

          </tbody>
          </table>
        </div>
      
        <div class="col-sm-6">
          <p><b>{l s='Parcels' mod='enviayacarrier'}</b></p>
         
          {foreach from=$booking.parcels item=parcel name=parcel}
            <table class="table">
              <tbody>
                <tr>
                  <td><b>{l s='quantity'  mod='enviayacarrier'}</b></td>
                  <td>{$parcel['quantity']}</td>
                </tr>
                <tr>
                  <td><b>{l s='length'  mod='enviayacarrier'}</b></td>
                  <td>{$parcel['length']} {$parcel['dimension_unit']}</td>
                </tr>
                <tr>
                  <td><b>{l s='width'  mod='enviayacarrier'}</b></td>
                  <td>{$parcel['width']} {$parcel['dimension_unit']}</td>
                </tr>
                <tr>
                  <td><b>{l s='height'  mod='enviayacarrier'}</b></td>
                  <td>{$parcel['height']} {$parcel['dimension_unit']}</td>
                </tr>
                <tr>
                  <td><b>{l s='weight'  mod='enviayacarrier'}</b></td>
                  <td>{$parcel['weight']} {$parcel['weight_unit']}</td>
                </tr>
                <tr>
                  <td><b>{l s='package_content'  mod='enviayacarrier'}</b></td>
                  
                  {if ( isset($parcel['content']) ) }
                  <td>{$parcel['content']}</td>
                  {else}
                 <td></td>
                  {/if}
                </tr>
                <tr>
                  <td><b>{l s='value'  mod='enviayacarrier'}</b></td>
                  
                  {if ( isset($parcel['value']) ) }
                  <td>{$parcel['value']|number_format:2:".":","} {$parcel['value_currency']}</td>
                  {else}
                 <td></td>
                  {/if}
                </tr>
              </tbody>
            </table>
          {/foreach}
        </div>
      </div>
      <a href="{$booking->label_share_link}" download type="button" class="btn btn-success">{l s='download_label' mod='enviayacarrier'}</a>

      {else}
      
        {if !empty($rates)}

          <div class="row">
            <div class="col-sm-12">
              <label for="order_message_order_message" class="form-control-label label-on-top ">
                {l s='shipping_service' mod='enviayacarrier'}
              </label>
             
              
              <select id="enviaya_service_selection" name="rate_id" class="custom-select" autocomplete="off">
                {foreach from=$rates item=rate name=rate}

                  {if  $rate_selected['rate_id'] == $rate['rate_id']}
                      <option  value="{$rate['rate_id']}" selected>{$rate['carrier']|escape:'html':'UTF-8'} {$rate['carrier_service_name']|escape:'html':'UTF-8'} ( {number_format($rate['total_amount'],2,'.',',')|escape:'html':'UTF-8'} {$rate['currency']|escape:'html':'UTF-8'} )</option>
                  {else}
                      <option  value="{$rate['rate_id']}" >{$rate['carrier']|escape:'html':'UTF-8'} {$rate['carrier_service_name']|escape:'html':'UTF-8'} ( {number_format($rate['total_amount'],2,'.',',')|escape:'html':'UTF-8'} {$rate['currency']|escape:'html':'UTF-8'} )</option>
                  {/if}
                {/foreach}
              </select>
              
              
            </div>
            <div class="col-sm-6">
              <p class="mt-3"><b>{l s='details' mod='enviayacarrier'}</b></p>
              {foreach from=$rates item=rate name=rate}
              <div class="enviaya-rate-details" data-rate-id="{$rate->rate_id}" style="display:{if (isset($rate_selected.rate_id) and $rate_selected.rate_id == $rate.rate_id) and (isset($rate_selected.total_amount) and $rate_selected.total_amount == $rate.total_amount)}block{else}none{/if}">
              <table class="table ">
                <tbody>
                  <tr>
                    <td class="w-50"><b>{l s='global_settings_carrier_field' mod='enviayacarrier'}</b></td>
                    <td><img class="enviaya-admin-orders-carrier-logo" src="{$rate->carrier_logo_url}"></td>
                  </tr>
                  <tr>
                    <td class="w-50"><b>{l s='service' mod='enviayacarrier'}</b></td>
                    <td>{$rate->carrier_service_name}</td>
                  </tr>
                  <tr>
                    <td class="w-50"><b>{l s='estimated_delivery' mod='enviayacarrier'}</b></td>
                    <td><svg style="width:17px;height:17px" viewBox="0 0 24 24"><path fill="currentColor" d="M19,19H5V8H19M16,1V3H8V1H6V3H5C3.89,3 3,3.89 3,5V19A2,2 0 0,0 5,21H19A2,2 0 0,0 21,19V5C21,3.89 20.1,3 19,3H18V1M17,12H12V17H17V12Z" /></svg> {$rate->estimated_delivery}</td>
                  </tr>
                  
                </tbody>
              </table>
              <p class="mt-3"><b>{l s='price' mod='enviayacarrier'}</b></p>
              <table class="table ">
                <tbody>
                  <tr>
                    <td class="w-50"><b>{l s='amount' mod='enviayacarrier'}</b></td>
                    <td>$ {$rate->net_total_amount|number_format:2:".":","} {$rate->currency}</td>
                  </tr>
                  <tr>
                    <td class="w-50"><b>{l s='vat' mod='enviayacarrier'} ( {$rate->vat_rate}% ) </b></td>
                    <td>$ {$rate->vat_amount|number_format:2:".":","} {$rate->currency}</td>
                  </tr>
                  <tr>
                    <td class="w-50"><b>{l s='total' mod='enviayacarrier'}</b></td>
                    <td>$ {$rate->total_amount|number_format:2:".":","} {$rate->currency}</td>
                  </tr>
                  
                </tbody>
              </table>
              </div>
              {/foreach}
            </div>
            <div class="col-sm-6">
         
                <p class="mt-3"><b>{l s='Parcels' mod='enviayacarrier'}</b></p>
                {foreach from=$request['shipment']['parcels'] item=parcel name=parcel}
                  <table class="table">
                    <tbody>
                      <tr>
                        <td><b>{l s='quantity'  mod='enviayacarrier'}</b></td>
                        {if ( isset($parcel['quantity']) ) }
                        <td>{$parcel['quantity']}</td>
                        {else}
                       <td></td>
                        {/if}
                      </tr>
                      <tr>
                        <td><b>{l s='length'  mod='enviayacarrier'}</b></td>
                        {if ( isset($parcel['length']) ) }
                        <td>{$parcel['length']} {$parcel['dimension_unit']}</td>
                        {else}
                       <td></td>
                        {/if}
                      
                       
                      </tr>
                      <tr>
                        <td><b>{l s='width'  mod='enviayacarrier'}</b></td>
                        {if ( isset($parcel['width']) ) }
                        <td>{$parcel['width']} {$parcel['dimension_unit']}</td>
                        {else}
                       <td></td>
                        {/if}
                      
                      </tr>
                      <tr>
                        <td><b>{l s='height'  mod='enviayacarrier'}</b></td>
                        {if ( isset($parcel['height']) ) }
                        <td>{$parcel['height']} {$parcel['dimension_unit']}</td>
                        {else}
                       <td></td>
                        {/if}
                      </tr>
                      <tr>
                        <td><b>{l s='weight'  mod='enviayacarrier'}</b></td>
                        
                        {if ( isset($parcel['weight']) ) }
                        <td>{$parcel['weight']} {$parcel['weight_unit']}</td>
                        {else}
                       <td></td>
                        {/if}
                      </tr>

                      <tr>
                        <td><b>{l s='package_content'  mod='enviayacarrier'}</b></td>
                        
                        {if ( isset($parcel['content']) ) }
                        <td>{$parcel['content']}</td>
                        {else}
                       <td></td>
                        {/if}
                      </tr>
                      <tr>
                        <td><b>{l s='value'  mod='enviayacarrier'}</b></td>
                        
                        {if ( isset($parcel['value']) ) }
                        <td>{$parcel['value']|number_format:2:".":","} {$parcel['value_currency']}</td>
                        {else}
                       <td></td>
                        {/if}
                      </tr>

                    </tbody>
                  </table>
                {/foreach}
              </div>
          </div>
          
          
          <div class="text-left mt-3">
            <button type="button" class="btn btn-primary" data-id="{$order_id}" id="EnviayaShipment">{l s='create_shipment' mod='enviayacarrier' }</button>
          </div>

        {else}

        <div class="text-left mt-3">
            <button type="button" class="btn btn-primary" data-id="{$order_id}" id="EnviayaRating">{l s='rate_now' mod='enviayacarrier' }</button>
        </div>

        {/if}

      {/if}

 

      

    </div>
  </div>
  <div class="" id="loader-spin"></div>
</div>
